
CFLAGS = -O3  -Wall -Wextra # -g
LFLAGS = -lm

#Edition des liens
simulation: simulation.o mt19937ar.o lois_aleatoires.o
	gcc -o simulation simulation.o mt19937ar.o lois_aleatoires.o $(LFLAGS)


#Compilation
mt19937ar.o: mt19937ar.c mt19937ar.h
	gcc -c mt19937ar.c $(CFLAGS)

lois_aleatoires.o: lois_aleatoires.c lois_aleatoires.h
	gcc -c lois_aleatoires.c $(CFLAGS)

simulation.o: simulation.c simulation.h
	gcc -c simulation.c $(CFLAGS)

clean:
	rm simulation.o
	rm lois_aleatoires.o
	rm mt19937ar.o